# Enum Class VulkanCommandPoolResetFlag

java.lang.Object
java.lang.Enum<VulkanCommandPoolResetFlag>
com.io7m.jcoronado.api.VulkanCommandPoolResetFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanCommandPoolResetFlag>`, `Constable`

public enum VulkanCommandPoolResetFlag extends Enum<VulkanCommandPoolResetFlag> implements VulkanEnumBitmaskType

See Also:
  - "VkCommandPoolResetFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_COMMAND_POOL_RESET_RELEASE_RESOURCES_BIT`
  Specifies that resetting a command pool recycles all of the resources from the command pool back to the system.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanCommandPoolResetFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanCommandPoolResetFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_COMMAND_POOL_RESET_RELEASE_RESOURCES_BIT

    public static final VulkanCommandPoolResetFlag VK_COMMAND_POOL_RESET_RELEASE_RESOURCES_BIT
    Specifies that resetting a command pool recycles all of the resources from the command pool back to the system.

- ## Method Details

  - ### values

    public static VulkanCommandPoolResetFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanCommandPoolResetFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant